Index: trunk/makefile
===================================================================
--- trunk/makefile	(revision 63)
+++ trunk/makefile	(revision 64)
@@ -4,4 +4,6 @@
 # update :
 # $Id$
+# fplod 2008-05-07T14:27:55Z aedon.locean-ipsl.upmc.fr (Darwin)
+# add test
 # fplod 2008-04-30T09:52:22Z aedon.locean-ipsl.upmc.fr (Darwin)
 # chgt for dbk5
@@ -91,4 +93,8 @@
 
 .PHONY : \
+test \
+test_raw \
+test_raw_demo1 \
+test_raw_nemo \
 dbkcheck \
 all \
@@ -115,21 +121,21 @@
 	@echo ""
 	@echo "for example for $(PRODUCT) demo1:"
-	@echo "\$$ ln -sf data/bibdemo1_dbk5.xml biblio.xml"
+	@echo "\$$ ln -sf $(DIRSRC)/data/bibdemo1_dbk5.xml $(DIRTMP)/biblio.xml"
 	@echo ""
 	@echo "for example for NEMO Survey :"
-	@echo "\$$ ln -sf data/biball.xml biblio.xml"
+	@echo "\$$ ln -sf $(DIRSRC)/data/biball.xml $(DIRTMP)/biblio.xml"
 	@echo ""
 	@echo "check for duplicate DOI; for example :"
-	@echo "\$$ ./twindoi.sh -i biblio.xml -t xml"
+	@echo "\$$ ./twindoi.sh -i $(DIRTMP)/biblio.xml -t xml"
 	@echo ""
 	@echo "Identify user databank; for example :"
 	@echo ""
 	@echo "for example for $(PRODUCT) demo1:"
-	@echo "\$$ ln -sf data/userdemo1.xml user.xml"
-	@echo "\$$ ln -sf data/usernemo.dtd user.dtd"
+	@echo "\$$ ln -sf $(DIRSRC)/data/userdemo1.xml $(DIRTMP)/user.xml"
+	@echo "\$$ ln -sf $(DIRSRC)/data/usernemo.dtd $(DIRTMP)/user.dtd"
 	@echo ""
 	@echo "for example for NEMO Survey :"
-	@echo "\$$ ln -sf data/usernemo.xml user.xml"
-	@echo "\$$ ln -sf data/usernemo.dtd user.dtd"
+	@echo "\$$ ln -sf $(DIRSRC)/data/usernemo.xml $(DIRTMP)/user.xml"
+	@echo "\$$ ln -sf $(DIRSRC)/data/usernemo.dtd $(DIRTMP)/user.dtd"
 	@echo ""
 	@echo "Following commands are available to build outputs :"
@@ -149,6 +155,6 @@
 	@echo " "
 	@echo "if you move this product to an other place, "
-	@echo "change parameters in the call sequence of ./before.sh and ./install.sh"
-	@echo "and in the call sequence of in ./install.sh"
+	@echo "change parameters in the call sequence of $(DIRSRC)/before.sh and $(DIRSRC)/install.sh"
+	@echo "and in the call sequence of in $(DIRSRC)/install.sh"
 	@echo "in this makefile"
 	@echo " "
@@ -160,12 +166,16 @@
 
 before :
-	@./before.sh -p $(PRODUCT) -s $(DIRSRC) -w $(DIRWWW) -multi -l en -m 2
+	@$(DIRSRC)/before.sh -p $(PRODUCT) -s $(DIRSRC) -w $(DIRWWW) -multi -l en -m 2
 
 install :
-	./install.sh -w $(DIRWWW) -p $(DIRPUBLISH)
-	./install.sh -w $(DIRWWW) -u $(URLPUBLISH)
+	$(DIRSRC)/install.sh -w $(DIRWWW) -p $(DIRPUBLISH)
+	$(DIRSRC)/install.sh -w $(DIRWWW) -u $(URLPUBLISH)
 clean :
 	-@rm -fr $(DIRWWW)/
-	-@rm -f $(DIRTMP)/$(DIRTMP)/select_id.xml
+	-@rm -f $(DIRTMP)/bibdemo1_dbk5.txt
+	-@rm -f $(DIRTMP)/bibdemo1_dbk5.xml
+	-@rm -f $(DIRTMP)/bibnemo.xml
+	-@rm -f $(DIRTMP)/bibnemo.txt
+	-@rm -f $(DIRTMP)/select_id.xml
 	-@rm -f $(DIRTMP)/main_full.xml
 	-@rm -f $(DIRTMP)/$(PRODUCT)01.xml
@@ -186,5 +196,5 @@
 dbkcheck :
 	@-rm $(DIRTMP)/err_xmlstarlet_xsd 2> /dev/null
-	@-for file in $(DIRSRC)/biblio.xml $(DIRTMP)/*_full.xml $(DIRTMP)/select_id.xml $(DIRTMP)/superbib01.xml $(DIRTMP)/superbib02.xml $(DIRTMP)/$(PRODUCT)many01.xml $(DIRTMP)/$(PRODUCT)many02.xml $(DIRTMP)/user_db.xml $(DIRTMP)/template_db.xml; do \
+	@-for file in $(DIRTMP)/biblio.xml $(DIRTMP)/*_full.xml $(DIRTMP)/select_id.xml $(DIRTMP)/$(PRODUCT)01.xml $(DIRTMP)/$(PRODUCT)02.xml $(DIRTMP)/$(PRODUCT)many01.xml $(DIRTMP)/$(PRODUCT)many02.xml $(DIRTMP)/user_db.xml $(DIRTMP)/template_db.xml; do \
 	xml val --err \
 	--xsd http://www.docbook.org/xml/5.0/xsd/docbook.xsd \
@@ -224,9 +234,9 @@
 
 $(DIRWWW)/en/one/$(PRODUCT)00.html : \
-$(DIRSRC)/biblio.xml
+$(DIRTMP)/biblio.xml
 	@xsltproc \
 	--output $@ \
 	http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl \
-	$(DIRSRC)/biblio.xml
+	$(DIRTMP)/biblio.xml
 
 $(DIRWWW)/en/one/main.php : \
@@ -262,9 +272,9 @@
 $(DIRSRC)/message_lang.xsl \
 $(DIRSRC)/biblioentry_xml.xsl \
-$(DIRSRC)/biblio.xml
+$(DIRTMP)/biblio.xml
 	@xsltproc \
 	--output $@ \
 	$(DIRSRC)/$(PRODUCT)01_xml.xsl \
-	$(DIRSRC)/biblio.xml
+	$(DIRTMP)/biblio.xml
 
 $(DIRWWW)/en/one/$(PRODUCT)02.html : \
@@ -317,5 +327,5 @@
 $(DIRSRC)/firstname_id.xsl \
 $(DIRSRC)/surname_id.xsl \
-$(DIRSRC)/biblio.xml
+$(DIRTMP)/biblio.xml
 	@xsltproc \
 	--param html.ext "'.php'" \
@@ -323,5 +333,5 @@
 	--output $@ \
 	$(DIRSRC)/$(PRODUCT)many02_xml.xsl \
-	$(DIRSRC)/biblio.xml
+	$(DIRTMP)/biblio.xml
 
 $(DIRWWW)/en/many/$(PRODUCT)01/ : \
@@ -347,10 +357,10 @@
 $(DIRSRC)/biblioentry_xml.xsl \
 $(DIRSRC)/correction_db.xsl \
-$(DIRSRC)/biblio.xml
+$(DIRTMP)/biblio.xml
 	@xsltproc \
 	--param html.ext "'.html'" \
 	--output $@ \
 	$(DIRSRC)/$(PRODUCT)many01_xml.xsl \
-	$(DIRSRC)/biblio.xml
+	$(DIRTMP)/biblio.xml
 
 $(DIRTMP)/$(PRODUCT)02.xml : \
@@ -362,10 +372,10 @@
 $(DIRSRC)/biblioentry_xml.xsl \
 $(DIRSRC)/correction_db.xsl \
-$(DIRSRC)/biblio.xml
+$(DIRTMP)/biblio.xml
 	@xsltproc \
 	--param html.ext "'.html'" \
 	--output $@ \
 	$(DIRSRC)/$(PRODUCT)02_xml.xsl \
-	$(DIRSRC)/biblio.xml
+	$(DIRTMP)/biblio.xml
 
 $(DIRTMP)/titlepage.$(PRODUCT).xsl : \
@@ -383,10 +393,11 @@
 $(DIRSRC)/years_ploticus.xsl \
 $(DIRSRC)/biblioentry_xml.xsl \
-$(DIRSRC)/biblio.xml
+$(DIRSRC)/message_lang.xsl \
+$(DIRTMP)/biblio.xml
 	@xsltproc \
 	--param makedate "'$(MAKEDATE)'" \
 	--output $@ \
 	$(DIRSRC)/years_ploticus.xsl \
-	$(DIRSRC)/biblio.xml
+	$(DIRTMP)/biblio.xml
 
 $(DIRTMP)/$(PRODUCT)01.pdf : \
@@ -406,5 +417,5 @@
 $(DIRTMP)/$(PRODUCT)02.pdf : \
 $(DIRSRC)/$(PRODUCT)_pdf.xsl \
-$(DIRSRC)/biblio.xml
+$(DIRTMP)/biblio.xml
 	@dblatex \
 	-b pdftex \
@@ -414,5 +425,5 @@
 	-x "--nonet" \
 	-p $(DIRSRC)/$(PRODUCT)_pdf.xsl \
-	$(DIRSRC)/biblio.xml
+	$(DIRTMP)/biblio.xml
 	1> $(DIRTMP)/$(PRODUCT)02_dblatex.log \
 	2> $(DIRTMP)/$(PRODUCT)02_dblatex.err
@@ -432,9 +443,9 @@
 $(DIRSRC)/firstname_id.xsl \
 $(DIRSRC)/surname_id.xsl \
-$(DIRSRC)/biblio.xml
+$(DIRTMP)/biblio.xml
 	@xsltproc \
 	--output $@ \
 	$(DIRSRC)/select_id.xsl \
-	$(DIRSRC)/biblio.xml
+	$(DIRTMP)/biblio.xml
 
 $(DIRWWW)/en/one/user.html : \
@@ -459,13 +470,13 @@
 $(DIRSRC)/platforms_db.xsl \
 $(DIRSRC)/processors_db.xsl \
-$(DIRSRC)/user.xml
+$(DIRTMP)/user.xml
 	@xsltproc \
 	--output $@ \
 	$(DIRSRC)/user_db.xsl \
-	$(DIRSRC)/user.xml
-
-$(DIRSRC)/user.xml : \
-$(DIRSRC)/user.dtd
-	-@xmllint --noout --valid $(DIRSRC)/user.xml
+	$(DIRTMP)/user.xml
+
+$(DIRTMP)/user.xml : \
+$(DIRTMP)/user.dtd
+	-@xmllint --noout --valid $(DIRTMP)/user.xml
 
 $(DIRWWW)/en/one/template.php : \
@@ -491,5 +502,5 @@
 
 $(DIRTMP)/template_db.xml : \
-$(DIRSRC)/user.xml \
+$(DIRTMP)/user.xml \
 $(DIRSRC)/template_db.xsl \
 $(DIRSRC)/message_lang.xsl \
@@ -508,5 +519,5 @@
 	--output $@ \
 	$(DIRSRC)/template_db.xsl \
-	$(DIRSRC)/user.xml
+	$(DIRTMP)/user.xml
 
 $(DIRDOC)/images/$(PRODUCT)_fulldependencies.png : \
@@ -525,2 +536,50 @@
 $(DIRSRC)/makefile
 	@make2deps.sh -i $(DIRSRC)/makefile -o $@ -f
+
+
+test : \
+test_raw
+
+test_raw : \
+test_raw_demo1 \
+test_raw_nemo
+
+test_raw_demo1 : \
+$(DIRSRC)/data/bibdemo1_dbk5.xml \
+$(DIRTMP)/bibdemo1_dbk5.xml \
+$(DIRTMP)/bibdemo1_dbk5.txt
+	diff $(DIRTMP)/bibdemo1_dbk5.xml $(DIRSRC)/data/bibdemo1_dbk5.xml | more
+	rm -i $(DIRTMP)/bibdemo1_dbk5.xml $(DIRTMP)/bibdemo1_dbk5.txt
+
+$(DIRTMP)/bibdemo1_dbk5.txt : \
+$(DIRSRC)/data/bibdemo1_dbk5.xml \
+$(DIRSRC)/superbib01_txt.xsl
+	@xsltproc --param makedate "'$(MAKEDATE)'" \
+ 	--output $@ \
+  	$(DIRSRC)/superbib01_txt.xsl \
+	$(DIRSRC)/data/bibdemo1_dbk5.xml
+
+$(DIRTMP)/bibdemo1_dbk5.xml : \
+$(DIRTMP)/bibdemo1_dbk5.txt \
+$(DIRSRC)/bibopa.sh
+	@$(DIRSRC)/bibopa.sh -p demo1 -i $(DIRTMP)/bibdemo1_dbk5.txt -t raw -l fr
+
+test_raw_nemo : \
+$(DIRSRC)/data/biball.xml \
+$(DIRTMP)/bibnemo.xml \
+$(DIRTMP)/bibnemo.txt
+	diff $(DIRTMP)/bibnemo.xml $(DIRSRC)/data/biball.xml | more
+	rm -i $(DIRTMP)/bibnemo.xml $(DIRTMP)/bibnemo.txt
+
+$(DIRTMP)/bibnemo.txt : \
+$(DIRSRC)/data/biball.xml \
+$(DIRSRC)/superbib01_txt.xsl
+	@xsltproc --param makedate "'$(MAKEDATE)'" \
+ 	--output $@ \
+  	$(DIRSRC)/superbib01_txt.xsl \
+	$(DIRSRC)/data/biball.xml
+
+$(DIRTMP)/bibnemo.xml : \
+$(DIRTMP)/bibnemo.txt \
+$(DIRSRC)/bibopa.sh
+	@$(DIRSRC)/bibopa.sh -p nemo -i $(DIRTMP)/bibnemo.txt -t raw -l en
Index: trunk/message_lang.xsl
===================================================================
--- trunk/message_lang.xsl	(revision 63)
+++ trunk/message_lang.xsl	(revision 64)
@@ -10,4 +10,6 @@
 update :
 $Id$
+fplod 2008-05-06T13:24:02Z aedon.locean-ipsl.upmc.fr (Darwin)
+add message_and
 fplod 2008-04-30T10:57:13Z aedon.locean-ipsl.upmc.fr (Darwin)
 creation
@@ -124,4 +126,30 @@
 </xsl:otherwise>
 </xsl:choose>
+</xsl:template>
+
+<xsl:template name="and">
+<!--
+ and
+-->
+<xsl:param name="language"/>
+
+<xsl:variable name="message_and">
+<xsl:choose>
+<xsl:when test="($language = 'en')">
+<xsl:text> and </xsl:text>
+</xsl:when>
+<xsl:when test="($language = 'fr')">
+<xsl:text> et </xsl:text>
+</xsl:when>
+<xsl:otherwise>
+ <xsl:message terminate="yes">
+eee : in template and
+eee : unknown language : <xsl:value-of select="$language"/>
+</xsl:message>
+</xsl:otherwise>
+</xsl:choose>
+</xsl:variable>
+
+<xsl:value-of select="$message_and"/>
 
 </xsl:template>
Index: trunk/superbib01_txt.xsl
===================================================================
--- trunk/superbib01_txt.xsl	(revision 63)
+++ trunk/superbib01_txt.xsl	(revision 64)
@@ -1,28 +1,48 @@
-<?xml version='1.0' encoding='ISO-8859-1'?> 
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+<?xml version='1.0' encoding='ISO-8859-1'?>
+<xsl:stylesheet
+xmlns:d="http://docbook.org/ns/docbook"
+xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+version="1.0">
 
 <!--
 module :
-transformation docbook en un texte 
+transformation docbook en un texte
+
+example pour test demo1
+$ xsltproc \-\-param makedate "'$(date -u +"%Y-%m-%dT%H:%M:%SZ")'" \
+  \-\-output /tmp/bibdemo_dbk5.txt \
+  superbib01_txt.xsl data/bibdemo_dbk5.xml
+$ ./bibopa.sh -p demo1 -i /tmp/bibdemo1_dbk5.txt -t raw -l fr
+$ diff biblio.xml data/bibdemo_dbk5.xml
 
 update :
 $Id$
+fplod 2008-05-06T13:06:45Z aedon.locean-ipsl.upmc.fr (Darwin)
+reactivation to provide opposite action of bibopa.sh
 fplod 2007-04-06T14:27:24Z zeus.locean-ipsl.upmc.fr (Linux)
-création
+creation
 -->
 
+<!--
 <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl"/>
+-->
 
-<xsl:output method="text" 
-encoding="ISO-8859-1" 
+<xsl:output method="text"
+encoding="ISO-8859-1"
 indent="yes"/>
 
-<xsl:include href="titlepage.superbib.xsl"/>
+<xsl:include href="biblioentry_xml.xsl"/>
 
-<xsl:template match="*" mode="book.titlepage.mode"/>
-<xsl:param name="generate.toc">
-article nop
-</xsl:param>
-<xsl:param name="section.autolabel" select="0"/>
+<xsl:template match="d:bibliography">
+<xsl:text># update </xsl:text><xsl:value-of select="$makedate"/>
+<xsl:text>&#xA;</xsl:text>
+<xsl:for-each select="d:biblioentry">
+ <xsl:call-template name="one_biblioentry">
+ <xsl:with-param name="visu_modif" select="'visu'"/>
+ <xsl:with-param name="my_biblioentry" select="."/>
+</xsl:call-template>
+<xsl:text>&#xA;</xsl:text>
 
-</xsl:stylesheet> 
+</xsl:for-each>
+</xsl:template>
+</xsl:stylesheet>
Index: trunk/superbib01_xml.xsl
===================================================================
--- trunk/superbib01_xml.xsl	(revision 63)
+++ trunk/superbib01_xml.xsl	(revision 64)
@@ -40,5 +40,4 @@
 
 <xsl:include href="biblioentry_xml.xsl"/>
-<xsl:include href="message_lang.xsl"/>
 
 <xsl:variable name="list_years" select="///d:pubdate[not( self::node() = following::d:pubdate )]"/>
Index: trunk/superbib02_xml.xsl
===================================================================
--- trunk/superbib02_xml.xsl	(revision 63)
+++ trunk/superbib02_xml.xsl	(revision 64)
@@ -36,6 +36,4 @@
  encoding="utf-8"
  omit-xml-declaration="no"/>
-
-<xsl:include href="message_lang.xsl"/>
 
 <xsl:include href="firstname_id.xsl"/>
Index: trunk/superbibmany01_xml.xsl
===================================================================
--- trunk/superbibmany01_xml.xsl	(revision 63)
+++ trunk/superbibmany01_xml.xsl	(revision 64)
@@ -35,5 +35,4 @@
  omit-xml-declaration="no"/>
 
-<xsl:include href="message_lang.xsl"/>
 
 <xsl:include href="firstname_id.xsl"/>
Index: trunk/superbibmany02_xml.xsl
===================================================================
--- trunk/superbibmany02_xml.xsl	(revision 63)
+++ trunk/superbibmany02_xml.xsl	(revision 64)
@@ -38,5 +38,4 @@
  omit-xml-declaration="yes"/>
 
-<xsl:include href="message_lang.xsl"/>
 
 <xsl:include href="firstname_id.xsl"/>
Index: trunk/template_db.xsl
===================================================================
--- trunk/template_db.xsl	(revision 63)
+++ trunk/template_db.xsl	(revision 64)
@@ -27,5 +27,4 @@
  omit-xml-declaration="no"/>
 
-<xsl:include href="message_lang.xsl"/>
 <xsl:include href="form_db.xsl"/>
 
@@ -39,5 +38,5 @@
 <xsl:attribute name="version">5.0</xsl:attribute>
 <xsl:attribute name="xmlns">http://docbook.org/ns/docbook</xsl:attribute>
-<xsl:attribute name="xml:lang"><xsl:value-of select="document('biblio.xml')/d:bibliography/@xml:lang"/></xsl:attribute>
+<xsl:attribute name="xml:lang"><xsl:value-of select="/d:bibliography/@xml:lang"/></xsl:attribute>
 <xsl:attribute name="xml:id">template_form</xsl:attribute>
 
Index: trunk/user_db.xsl
===================================================================
--- trunk/user_db.xsl	(revision 63)
+++ trunk/user_db.xsl	(revision 64)
@@ -41,5 +41,5 @@
 <xsl:attribute name="version">5.0</xsl:attribute>
 <xsl:attribute name="xmlns">http://docbook.org/ns/docbook</xsl:attribute>
-<xsl:attribute name="xml:lang"><xsl:value-of select="document('biblio.xml')/d:bibliography/@xml:lang"/></xsl:attribute>
+<xsl:attribute name="xml:lang"><xsl:value-of select="/d:bibliography/@xml:lang"/></xsl:attribute>
 <xsl:attribute name="xml:id">users</xsl:attribute>
 
Index: trunk/user_html.xsl
===================================================================
--- trunk/user_html.xsl	(revision 63)
+++ trunk/user_html.xsl	(revision 64)
@@ -1,4 +1,7 @@
 <?xml version='1.0' encoding='ISO-8859-1'?> 
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+<xsl:stylesheet 
+xmlns:d="http://docbook.org/ns/docbook"
+xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
+version="1.0"> 
 
 <!--
@@ -38,5 +41,5 @@
 <xsl:template name="user.footer.content">
  <xsl:call-template name="para_lastupdate">
-  <xsl:with-param name="language" select="@xml:lang"/>
+  <xsl:with-param name="language" select="document('biblio.xml')/d:bibliography/@xml:lang"/>
   <xsl:with-param name="date" select="$makedate"/>
   <xsl:with-param name="mode" select="'html'"/>
